List inventory property mappings
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/property-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/property-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/property-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"grain": "property",
"targetKind": "key_value",
"id": "<string>",
"sourceId": "<string>",
"provenance": {
"source": "operator",
"reference": "<string>"
},
"operatorConfirmedAt": "2023-11-07T05:31:56Z",
"operatorConfirmedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastValidatedAt": "2023-11-07T05:31:56Z",
"propertyExternalId": "<string>",
"publisherDomain": "<string>",
"tag": "<string>",
"signalKey": "<string>",
"signalValue": "<string>",
"selectorExternalId": "<string>"
}
]{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List inventory property mappings
List seller-authored property and tag mappings for a managed sales-agent inventory source.
GET
/
inventory-sources
/
{sourceId}
/
property-mappings
List inventory property mappings
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/property-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/property-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/property-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"grain": "property",
"targetKind": "key_value",
"id": "<string>",
"sourceId": "<string>",
"provenance": {
"source": "operator",
"reference": "<string>"
},
"operatorConfirmedAt": "2023-11-07T05:31:56Z",
"operatorConfirmedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastValidatedAt": "2023-11-07T05:31:56Z",
"propertyExternalId": "<string>",
"publisherDomain": "<string>",
"tag": "<string>",
"signalKey": "<string>",
"signalValue": "<string>",
"selectorExternalId": "<string>"
}
]{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Response
List inventory property mappings
Available options:
property, tag Available options:
key_value, ad_unit, placement Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1